using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 通知范围
    /// </summary>
    [Description("通知范围")]
    public class T_HM_NOTICE_RELEASE_DEPARTMENT : MesEntityBase
    {

        /// <summary>
        /// 通知发布ID
        /// </summary>
        [Description("通知发布ID")]
        [DataFieldForeignKey("Nav_NoticeRelease", "Nav_ReleaseRange")]
        public Guid NOTICE_RELEASE_ID { get; set; }
        /// <summary>
        /// 部门ID
        /// </summary>
        [Description("部门ID")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Department")]
        public Guid DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 导航属性：通知发布
        /// </summary>
        [Description("导航属性：通知发布")]
        public T_HM_NOTICE_RELEASE Nav_NoticeRelease { get; set; }
        /// <summary>
        /// 导航属性：部门
        /// </summary>
        [Description("导航属性：部门")]
        public T_FM_DEPARTMENT Nav_Department { get; set; }

    }
}
